• Русский
  • Description
    SidecarBypass is the Schema for the sidecarbypasses API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    SidecarBypassSpec defines the desired state of SidecarBypass

    statusobject

    SidecarBypassStatus defines the observed state of SidecarBypass

    .spec

    Description
    SidecarBypassSpec defines the desired state of SidecarBypass
    Type
    object

    .status

    Description
    SidecarBypassStatus defines the observed state of SidecarBypass
    Type
    object
    PropertyTypeDescription
    conditionsarray

    Current state of SidecarBypass

    messagestring

    A human-readable message indicating details about why the SidecarBypass is in this condition.

    phasestring

    The phase of a SidecarBypass is a simple, high-level summary of where the SidecarBypass is in its lifecycle.

    reasonstring

    A brief CamelCase message indicating details about why the SidecarBypass is in this state.

    stateobject

    Details about the SidecarBypass's current condition.

    .status.conditions

    Description
    Current state of SidecarBypass
    Type
    array

    .status.conditions[]

    Description
    Condition contains details for one aspect of the current state of this API Resource. --- This struct is intended for direct use as an array at the field path .status.conditions. For example, type FooStatus struct{ // Represents the observations of a foo's current state. // Known .status.conditions.type are: "Available", "Progressing", and "Degraded" // +patchMergeKey=type // +patchStrategy=merge // +listType=map // +listMapKey=type Conditions []metav1.Condition `json:"conditions,omitempty" patchStrategy:"merge" patchMergeKey:"type" protobuf:"bytes,1,rep,name=conditions"` // other fields }
    Type
    object
    Required
    lastTransitionTimemessagereasonstatustype
    PropertyTypeDescription
    lastTransitionTimestring

    lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    message is a human readable message indicating details about the transition. This may be an empty string.

    observedGenerationinteger

    observedGeneration represents the .metadata.generation that the condition was set based upon. For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date with respect to the current state of the instance.

    reasonstring

    reason contains a programmatic identifier indicating the reason for the condition's last transition. Producers of specific condition types may define expected values and meanings for this field, and whether the values are considered a guaranteed API. The value should be a CamelCase string. This field may not be empty.

    statusstring

    status of the condition, one of True, False, Unknown.

    typestring

    type of condition in CamelCase or in foo.example.com/CamelCase. --- Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important. The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)

    .status.state

    Description
    Details about the SidecarBypass's current condition.
    Type
    object
    PropertyTypeDescription
    bypassingobject

    Details about a bypassing bypass state.

    readyobject

    Details about a ready bypass state.

    restoredobject

    Details about a restored bypass state.

    restoringobject

    Details about a restoring bypass state.

    .status.state.bypassing

    Description
    Details about a bypassing bypass state.
    Type
    object
    PropertyTypeDescription
    messagestring

    Message regarding why the SidecarBypass is not yet running.

    reasonstring

    (brief) reason the SidecarBypass is not yet running.

    .status.state.ready

    Description
    Details about a ready bypass state.
    Type
    object
    PropertyTypeDescription
    readyAtstring

    Time at which the bypass is ready.

    .status.state.restored

    Description
    Details about a restored bypass state.
    Type
    object
    PropertyTypeDescription
    restoredAtstring

    Time at which the bypass is restored.

    .status.state.restoring

    Description
    Details about a restoring bypass state.
    Type
    object
    PropertyTypeDescription
    messagestring

    Message regarding why the SidecarBypass is not yet terminated.

    reasonstring

    (brief) reason the SidecarBypass is not yet terminated.

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarbypasses
      • DELETE: delete collection of SidecarBypass
      • GET: list objects of kind SidecarBypass
      • POST: create a new SidecarBypass
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarbypasses/{name}
      • DELETE: delete the specified SidecarBypass
      • GET: read the specified SidecarBypass
      • PATCH: partially update the specified SidecarBypass
      • PUT: replace the specified SidecarBypass
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarbypasses/{name}/status
      • GET: read status of the specified SidecarBypass
      • PATCH: partially update status of the specified SidecarBypass
      • PUT: replace status of the specified SidecarBypass

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarbypasses

    HTTP method
    DELETE
    Description
    delete collection of SidecarBypass
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind SidecarBypass
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypassList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new SidecarBypass
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodySidecarBypass schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    201 - CreatedSidecarBypass schema
    202 - AcceptedSidecarBypass schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarbypasses/{name}

    HTTP method
    DELETE
    Description
    delete the specified SidecarBypass
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified SidecarBypass
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified SidecarBypass
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified SidecarBypass
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodySidecarBypass schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    201 - CreatedSidecarBypass schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/sidecarbypasses/{name}/status

    HTTP method
    GET
    Description
    read status of the specified SidecarBypass
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified SidecarBypass
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified SidecarBypass
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodySidecarBypass schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKSidecarBypass schema
    201 - CreatedSidecarBypass schema
    401 - UnauthorizedEmpty